Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jun 2022 21:53:07 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 07 Jun 2022 18:33:35 +0000
> 
> >> > The first step is to figure out what was the immediate reason for the
> >> > segfault, and in which source line it happened.
> >> >
> >> > Your build is heavily optimized, so I suggest to rebuild with the
> >> > following additional compiler options:
> >> >
> >> >    -gdwarf-4 -g3
> >> 
> >> Can't reproduce the crash after rebuilding with these flags.
> >
> > _Only_ with these flags, or with these flags _in_addition_ to the
> > previous ones?
> 
> Only with these flags:
> 
> ./configure CFLAGS='-gdwarf-4 -g3' --with-native-compilation

That's not what I meant.  I said "with these _additional_ compiler
options".

>  do you want I rebuild with what I use previously
> + the flags you provided?

Yes.

> Would be something like this:
> 
> ./configure CFLAGS='-O8 -gdwarf-4 -g3' --with-native-compilation

Yes, please.

> > What is the value of system-configuration-options in the new build?
> 
> system-configuration-options
> "'CFLAGS=-gdwarf-4 -g3' --with-native-compilation"

This indeed shows that the -O8 switch wasn't used.